Skip to main content
GET
index webhook_send

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

attempt_number
integer

The number of send attempts before this attempt was made. Filterable.

error
string

If the webhook failed, the reason why it did not send successfully. Filterable.

object_id
string

The unique identifier of the object that caused this send attempt. Filterable.

status
string

The status of the webhook send attempt. One of: sent, skipped, error. Filterable.

webhook_id
string

The unique identifier for the controlling webhook row of these send attempts. Filterable.

will_retry
enum<string>

Boolean indicating whether or not the hook will retry. Filterable.

Available options:
true,
false
page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size webhook_send elements, starting after the webhook_send described by page_cursor. If no more webhook_sends are available, the resulting list will be empty.

data
object[]